Skip to main content
`Ctrl`+`K`

# PCSetPostSetUp

Sets function called at the end of `PCSetUp()` to adjust the computed preconditioner

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCSetPostSetUp(PC pc, PetscErrorCode (*postsetup)(PC pc))

Logically Collective

## Input Parameters

- pc - the preconditioner object

- postsetup - the function to call after `PCSetUp()`

## Calling sequence of `postsetup`

- pc - the `PC` context

## See Also

KSP: Linear System Solvers, `PC`, `PCSetUp()`

## Level

developer

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages